Bug 125096 - subversion tweaks
subversion tweaks
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Bloom
Fanny Augustin
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
Reported: 2004-06-02 14:03 EDT by Ryan Bloom
Modified: 2007-04-18 13:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 09:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Bloom 2004-06-02 14:03:55 EDT
1)  eol native
2)  Require $Rev:$
3)  Require svn:keywords="eol-native, Rev"
Comment 1 Ryan Bloom 2004-06-03 08:45:55 EDT
All java and xml files automatically get native eol-style if you use
the subversion/config file in svn.
Comment 2 Ryan Bloom 2004-06-03 10:54:07 EDT
Okay, we now require the svn:keywords to be set to Rev
and svn:eol-style to be set to native

We don't require $Rev: $ in the code, because that is much harder to do.
Comment 3 Ryan Bloom 2004-06-03 11:29:41 EDT
The pre-commit checks ended up not working, reopen the bug.
Comment 4 Ryan Bloom 2004-10-28 09:11:35 EDT
This hasn't been a problem in practice, so I am closing this now.  If
we decide we _really_ want these checks in the future, we can
re-evaluate adding them.

Note You need to log in before you can comment on or make changes to this bug.